Debian Bug report logs - #562945
fails to install

version graph

Package: runit-run; Maintainer for runit-run is (unknown);

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Tue, 29 Dec 2009 13:15:05 UTC

Severity: serious

Tags: wontfix

Merged with 574223

Fixed in version 1.1.2+rm

Done: Luca Falavigna <dktrkranz@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Tue, 29 Dec 2009 13:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 29 Dec 2009 13:15:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: fails to install
Date: Tue, 29 Dec 2009 14:12:34 +0100
[Message part 1 (text/plain, inline)]
Package: runit-run
Version: 1.1.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed your package failed to install. 

From the attached log (scroll to the bottom...):

  Unpacking runit-run (from .../runit-run_1.1.1_all.deb) ...
  dpkg: error processing /var/cache/apt/archives/runit-run_1.1.1_all.deb 
(--unpack):
   subprocess new pre-installation script returned error exit status 1
  Errors were encountered while processing:
   /var/cache/apt/archives/runit-run_1.1.1_all.deb
  E: Sub-process /usr/bin/dpkg returned an error code (1)


regards,
	Holger
[runit-run_1.1.1.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Sun, 24 Jan 2010 15:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 24 Jan 2010 15:30:08 GMT) Full text and rfc822 format available.

Message #10 received at 562945@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: 562945@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Re: fails to install
Date: Sun, 24 Jan 2010 22:27:14 +0700
Remotely jamming Mönchengladbach BSP :)

This is caused by debconf question in preinst:

---8<---
  . /usr/share/debconf/confmodule
  db_get runit-run/install
  if test "$RET" = false; then
    db_fset runit-run/install seen false
    exit 1
  fi
---8<---

If I try to install it in normal system, I'll be prompted to confirm if I
really want to replace sysvinit, with default answer 'no' ('false'). But if
I try it in a limited environment like piuparts or pbuilder chroot, debconf
will always skip the question and continue with the default. So it exits
with status 1.

I think it's reasonable to fail here. 'False' is a safe default. And it works
properly in normal systems.

Regards,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Sun, 24 Jan 2010 15:45:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 24 Jan 2010 15:45:36 GMT) Full text and rfc822 format available.

Message #15 received at 562945@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Theppitak Karoonboonyanan <thep@debian.org>, 562945@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#562945: fails to install
Date: Sun, 24 Jan 2010 16:40:25 +0100
On Sun, Jan 24, 2010 at 22:27:14 +0700, Theppitak Karoonboonyanan wrote:

> Remotely jamming Mönchengladbach BSP :)
> 
> This is caused by debconf question in preinst:
> 
> ---8<---
>   . /usr/share/debconf/confmodule
>   db_get runit-run/install
>   if test "$RET" = false; then
>     db_fset runit-run/install seen false
>     exit 1
>   fi
> ---8<---
> 
> If I try to install it in normal system, I'll be prompted to confirm if I
> really want to replace sysvinit, with default answer 'no' ('false'). But if
> I try it in a limited environment like piuparts or pbuilder chroot, debconf
> will always skip the question and continue with the default. So it exits
> with status 1.
> 
> I think it's reasonable to fail here. 'False' is a safe default. And it works
> properly in normal systems.
> 
A workaround would be to wrap the exit 1 in
if [ "$DEBIAN_FRONTEND" != noninteractive ]
and let users of the noninteractive frontend keep the pieces.  Shouldn't
break normal systems since those would use a real frontend, and should
make piuparts happy.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Sun, 24 Jan 2010 16:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 24 Jan 2010 16:30:03 GMT) Full text and rfc822 format available.

Message #20 received at 562945@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 562945@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#562945: fails to install
Date: Sun, 24 Jan 2010 23:26:43 +0700
On Sun, Jan 24, 2010 at 10:40 PM, Julien Cristau <jcristau@debian.org> wrote:

> A workaround would be to wrap the exit 1 in
> if [ "$DEBIAN_FRONTEND" != noninteractive ]
> and let users of the noninteractive frontend keep the pieces.  Shouldn't
> break normal systems since those would use a real frontend, and should
> make piuparts happy.

OK. I've prepared NMU here:

  http://people.debian.org/~thep/runit-run_1.1.1+nmu1.dsc

changelog entry:

---8<---
runit-run (1.1.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Urgency medium due to RC bug fix.
  * debian/runit-run.preinst: never fail on noninteractive debconf frontend,
    to make piuparts happy. (closes: #562945)
  * Pre-Depends on debconf, as needed by preinst [lintian].

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 24 Jan 2010 23:07:31 +0700
---8<---

Now piuparts installation failure is gone. But another is left:

---8<---
0m21.9s ERROR: FAIL: Broken symlinks:
  /etc/sv/getty-1/supervise -> /var/run/sv.getty-1
  /etc/sv/getty-3/supervise -> /var/run/sv.getty-3
  /etc/sv/getty-4/supervise -> /var/run/sv.getty-4
  /etc/sv/getty-2/supervise -> /var/run/sv.getty-2
  /etc/sv/getty-5/supervise -> /var/run/sv.getty-5
---8<---

And it still rejects properly on normal systems as per user's wish.

OK to upload? (Fixing those broken symlinks is beyond my understanding.)

Regards,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Sun, 24 Jan 2010 16:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 24 Jan 2010 16:48:08 GMT) Full text and rfc822 format available.

Message #25 received at 562945@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 562945@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#562945: fails to install
Date: Sun, 24 Jan 2010 23:46:38 +0700
On Sun, Jan 24, 2010 at 11:26 PM, Theppitak Karoonboonyanan
<thep@debian.org> wrote:

> OK to upload? (Fixing those broken symlinks is beyond my understanding.)

Uploaded to DELAYED/2, anyway.

Regards,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Sun, 24 Jan 2010 21:06:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 24 Jan 2010 21:06:10 GMT) Full text and rfc822 format available.

Message #30 received at 562945@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Theppitak Karoonboonyanan <thep@debian.org>, 562945@bugs.debian.org
Subject: Re: Bug#562945: fails to install
Date: Sun, 24 Jan 2010 22:01:33 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Sonntag, 24. Januar 2010, Julien Cristau wrote:
> A workaround would be to wrap the exit 1 in
> if [ "$DEBIAN_FRONTEND" != noninteractive ]
> and let users of the noninteractive frontend keep the pieces.

As a FAI user, which uses the noninteractive frontend all the time, I think 
this is a very reasonable approach. Way better than failing.

> Shouldn't 
> break normal systems since those would use a real frontend, and should
> make piuparts happy.

Yes, and as a "side effect" its also policy complient and makes piuparts 
happy :-)


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Sun, 24 Jan 2010 21:07:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 24 Jan 2010 21:07:14 GMT) Full text and rfc822 format available.

Message #35 received at 562945@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Theppitak Karoonboonyanan <thep@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 562945@bugs.debian.org
Subject: Re: Bug#562945: fails to install
Date: Sun, 24 Jan 2010 22:04:51 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Sonntag, 24. Januar 2010, Theppitak Karoonboonyanan wrote:
> runit-run (1.1.1+nmu1) unstable; urgency=medium
>
>   * Non-maintainer upload.
>   * Urgency medium due to RC bug fix.
>   * debian/runit-run.preinst: never fail on noninteractive debconf
> frontend, to make piuparts happy. (closes: #562945)

As you can probably guess from my previous mail, I dont think "making 
piuparts" happy is really significant here. "Making non-interactive 
installatins work" is way more important :-)

> Now piuparts installation failure is gone. But another is left:
>
> ---8<---
> 0m21.9s ERROR: FAIL: Broken symlinks:
>   /etc/sv/getty-1/supervise -> /var/run/sv.getty-1
>   /etc/sv/getty-3/supervise -> /var/run/sv.getty-3
>   /etc/sv/getty-4/supervise -> /var/run/sv.getty-4
>   /etc/sv/getty-2/supervise -> /var/run/sv.getty-2
>   /etc/sv/getty-5/supervise -> /var/run/sv.getty-5
> ---8<---
>
> And it still rejects properly on normal systems as per user's wish.
>
> OK to upload? (Fixing those broken symlinks is beyond my understanding.)

Broken sysmlinks are not a reason for a piuparts failure on 
piuparts.debian.org. They are reported by piuparts if run manually (though 
there is an option to supress that), as those are bugs in the package.

(I'm too tired from traveling and lack of sleep at the BSP to explain more 
about broken symlinks atm.)


thanks & cheers,
	Holger

[signature.asc (application/pgp-signature, inline)]

Reply sent to Theppitak Karoonboonyanan <thep@debian.org>:
You have taken responsibility. (Tue, 26 Jan 2010 17:21:05 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Tue, 26 Jan 2010 17:21:06 GMT) Full text and rfc822 format available.

Message #40 received at 562945-close@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: 562945-close@bugs.debian.org
Subject: Bug#562945: fixed in runit-run 1.1.1+nmu1
Date: Tue, 26 Jan 2010 17:20:23 +0000
Source: runit-run
Source-Version: 1.1.1+nmu1

We believe that the bug you reported is fixed in the latest version of
runit-run, which is due to be installed in the Debian FTP archive:

runit-run_1.1.1+nmu1.dsc
  to main/r/runit-run/runit-run_1.1.1+nmu1.dsc
runit-run_1.1.1+nmu1.tar.gz
  to main/r/runit-run/runit-run_1.1.1+nmu1.tar.gz
runit-run_1.1.1+nmu1_all.deb
  to main/r/runit-run/runit-run_1.1.1+nmu1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562945@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Theppitak Karoonboonyanan <thep@debian.org> (supplier of updated runit-run package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Jan 2010 23:07:31 +0700
Source: runit-run
Binary: runit-run
Architecture: source all
Version: 1.1.1+nmu1
Distribution: unstable
Urgency: medium
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Theppitak Karoonboonyanan <thep@debian.org>
Description: 
 runit-run  - a UNIX init scheme with service supervision
Closes: 562945
Changes: 
 runit-run (1.1.1+nmu1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * Urgency medium due to RC bug fix.
   * debian/runit-run.preinst: never fail on noninteractive debconf frontend,
     to make piuparts happy. (closes: #562945)
   * Pre-Depends on debconf, as needed by preinst [lintian].
Checksums-Sha1: 
 8b88b8c9bd018696d0351381f010e2521a0fae54 716 runit-run_1.1.1+nmu1.dsc
 a79cb0508c442e9a52a12616fc48649ce57e063a 10680 runit-run_1.1.1+nmu1.tar.gz
 44924608616bac4380f0990c40e093ce9297d6fa 12000 runit-run_1.1.1+nmu1_all.deb
Checksums-Sha256: 
 dddb11172c1cb68259b484b3c9022b3ca37a1ccceceee84dcd15e52ee523d7c3 716 runit-run_1.1.1+nmu1.dsc
 a6ca33395d319a5257433d8e13f0735e9d38defaf0ad7c08d037c2b903b19377 10680 runit-run_1.1.1+nmu1.tar.gz
 6ccd31b6aac5683268c16783cd3eb8a0c6f7f6595487604c6263177e0ab884c5 12000 runit-run_1.1.1+nmu1_all.deb
Files: 
 cc1033fe2a4d69b23f509e7ce5526dfc 716 admin optional runit-run_1.1.1+nmu1.dsc
 9856508ad49d779dd37caa248837b124 10680 admin optional runit-run_1.1.1+nmu1.tar.gz
 bfba68727deba79b353133162a4ac760 12000 admin optional runit-run_1.1.1+nmu1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktccK8ACgkQqgzR7tCLR/4otgCeMFXHGVRDglyhbcvwiVh6GlZy
eMEAoIYH4lfeCR5Zi0eHOsUP3vi8rr4d
=300G
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Mar 2010 07:32:18 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Gerrit Pape <pape@dbnbgs.smarden.org> to control@bugs.debian.org. (Thu, 25 Mar 2010 13:00:02 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions runit-run/1.1.1+nmu1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Mar 2010 13:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Thu, 25 Mar 2010 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>, 562945@bugs.debian.org, 574223-submitter@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 25 Mar 2010 19:03:03 GMT) Full text and rfc822 format available.

Message #51 received at 562945@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Holger Levsen <holger@layer-acht.org>, 562945@bugs.debian.org
Cc: 574223-submitter@bugs.debian.org
Subject: Re: Bug#562945: fails to install
Date: Thu, 25 Mar 2010 19:55:36 +0100
found 562945 1.1.2
severity 562945 important
tags 562945 + wontfix
forcemerge 562945 574223
quit

On Tue, Dec 29, 2009 at 02:12:34PM +0100, Holger Levsen wrote:
> during a test with piuparts I noticed your package failed to install. 
> 
> From the attached log (scroll to the bottom...):
> 
>   Unpacking runit-run (from .../runit-run_1.1.1_all.deb) ...
>   dpkg: error processing /var/cache/apt/archives/runit-run_1.1.1_all.deb 
> (--unpack):
>    subprocess new pre-installation script returned error exit status 1
>   Errors were encountered while processing:
>    /var/cache/apt/archives/runit-run_1.1.1_all.deb
>   E: Sub-process /usr/bin/dpkg returned an error code (1)

Hi, this is by intention, I reverted the NMU.  runit-run should only be
installed if actively confirmed again.  For non-interactive and
automated installations either debconf should be installed and
preseeded, or no debconf installed any `echo y` written to stdin.

Regards, Gerrit.




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Thu, 25 Mar 2010 20:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 25 Mar 2010 20:18:02 GMT) Full text and rfc822 format available.

Message #56 received at 562945@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 562945@bugs.debian.org
Subject: Re: Bug#562945: fails to install
Date: Thu, 25 Mar 2010 21:14:41 +0100
[Message part 1 (text/plain, inline)]
Hi Gerrit,

On Donnerstag, 25. März 2010, Gerrit Pape wrote:
> severity 562945 important
> tags 562945 + wontfix

I think this is very wrong. See below...

> Hi, this is by intention, I reverted the NMU.  runit-run should only be
> installed if actively confirmed again.

ITYM s/installed/activated/

> For non-interactive and 
> automated installations either debconf should be installed and
> preseeded, or no debconf installed any `echo y` written to stdin.

That's all fine and dandy, but still, the installation of the package should 
succeed, even if "yes" is neither preseed or otherwise indicated.

I won't do the -devel@ and/or TC limbo right now, as I don't have the time at 
the moment to fight random developers who think they can ignore fundamental 
aspects of policy for their pet packages, while 25000 packages do just 
fine...


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions runit-run/1.1.2. Request was from Gerrit Pape <pape@dbnbgs.smarden.org> to control@bugs.debian.org. (Sun, 04 Apr 2010 21:21:02 GMT) Full text and rfc822 format available.

Bug Marked as found in versions runit-run/1.1.1+nmu1. Request was from Gerrit Pape <pape@dbnbgs.smarden.org> to control@bugs.debian.org. (Sun, 04 Apr 2010 21:21:03 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Gerrit Pape <pape@dbnbgs.smarden.org> to control@bugs.debian.org. (Sun, 04 Apr 2010 21:21:04 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Gerrit Pape <pape@dbnbgs.smarden.org> to control@bugs.debian.org. (Sun, 04 Apr 2010 21:21:04 GMT) Full text and rfc822 format available.

Forcibly Merged 562945 574223. Request was from Gerrit Pape <pape@dbnbgs.smarden.org> to control@bugs.debian.org. (Sun, 04 Apr 2010 21:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Thu, 20 May 2010 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 20 May 2010 14:06:04 GMT) Full text and rfc822 format available.

Message #71 received at 562945@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 562945@bugs.debian.org, control@bugs.debian.org, 562945-subscribe@bugs.debian.org
Subject: Re: Bug#562945: fails to install
Date: Thu, 20 May 2010 16:03:14 +0200
[Message part 1 (text/plain, inline)]
found 562945 1.0.0
found 562945 1.1.1
notfound 562945 1.1.1+nmu1
found 562945 1.1.2
severity 562945 serious
thanks

Hi Gerit,

On Donnerstag, 25. März 2010, Holger Levsen wrote:
> On Donnerstag, 25. März 2010, Gerrit Pape wrote:
> I think this is very wrong. See below...
> > Hi, this is by intention, I reverted the NMU.  runit-run should only be
> > installed if actively confirmed again.
> ITYM s/installed/activated/

You never replied to this...

> > For non-interactive and
> > automated installations either debconf should be installed and
> > preseeded, or no debconf installed any `echo y` written to stdin.
>
> That's all fine and dandy, but still, the installation of the package
> should succeed, even if "yes" is neither preseed or otherwise indicated.

actually, policy says s/should/must/ 

> I won't do the -devel@ and/or TC limbo right now, as I don't have the time
> at the moment to fight random developers who think they can ignore
> fundamental aspects of policy for their pet packages, while 25000 packages
> do just fine...

I now have the time ;-)


cheers,
	Holger

[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions runit-run/1.0.0. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Thu, 20 May 2010 14:06:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions runit-run/1.1.1+nmu1. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Thu, 20 May 2010 14:06:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Thu, 20 May 2010 14:06:08 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Thu, 20 May 2010 14:45:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Thu, 20 May 2010 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 20 May 2010 14:51:05 GMT) Full text and rfc822 format available.

Message #84 received at 562945@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: control@bugs.debian.org
Cc: 562945@bugs.debian.org
Subject: Re: Processed: your mail
Date: Thu, 20 May 2010 16:46:39 +0200
[Message part 1 (text/plain, inline)]
tags 562945 - patch
thanks

#574223 shows that the nmu didnt fix the problem, so the patch aint working.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Thu, 20 May 2010 14:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Mon, 24 May 2010 12:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>, 562945@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Mon, 24 May 2010 12:24:09 GMT) Full text and rfc822 format available.

Message #91 received at 562945@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Holger Levsen <holger@layer-acht.org>, 562945@bugs.debian.org
Subject: Re: Bug#562945: fails to install
Date: Mon, 24 May 2010 12:21:04 +0000
On Tue, Dec 29, 2009 at 02:12:34PM +0100, Holger Levsen wrote:
> during a test with piuparts I noticed your package failed to install.

On Sun, Jan 24, 2010 at 10:27:14PM +0700, Theppitak Karoonboonyanan wrote:
> If I try to install it in normal system, I'll be prompted to confirm if I
> really want to replace sysvinit, with default answer 'no' ('false'). But if
> I try it in a limited environment like piuparts or pbuilder chroot, debconf
> will always skip the question and continue with the default. So it exits
> with status 1.
>
> I think it's reasonable to fail here. 'False' is a safe default. And it works
> properly in normal systems.

On Thu, Mar 25, 2010 at 07:55:36PM +0100, Gerrit Pape wrote:
> Hi, this is by intention, I reverted the NMU.  runit-run should only be
> installed if actively confirmed again.  For non-interactive and
> automated installations either debconf should be installed and
> preseeded, or no debconf installed any `echo y` written to stdin.

On Thu, Mar 25, 2010 at 09:14:41PM +0100, Holger Levsen wrote:
> That's all fine and dandy, but still, the installation of the package should
> succeed, even if "yes" is neither preseed or otherwise indicated.

On Thu, May 20, 2010 at 04:03:14PM +0200, Holger Levsen wrote:
> found 562945 1.0.0
> found 562945 1.1.1
> notfound 562945 1.1.1+nmu1
> found 562945 1.1.2
> severity 562945 serious
> thanks

> actually, policy says s/should/must/ 

Hi Holger, there seem to be different opinions on the design of the
package.  I have reasons why I do it the way it is, you seem to have a
different opinion and think it must be done differently.  But you
haven't convinced me yet.

I'm very sorry if I misread policy and did something wrong.  Can you
please properly justify the bug report and the RC severity by quoting
policy where you think the package violates it?

Thanks, Gerrit.




Added tag(s) moreinfo. Request was from Gerrit Pape <pape@dbnbgs.smarden.org> to control@bugs.debian.org. (Mon, 24 May 2010 12:24:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Fri, 18 Jun 2010 00:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>, 562945@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 18 Jun 2010 00:03:03 GMT) Full text and rfc822 format available.

Message #98 received at 562945@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Holger Levsen <holger@layer-acht.org>, 562945@bugs.debian.org
Cc: 582755-done@bugs.debian.org
Subject: Re: Bug#562945: fails to install
Date: Fri, 18 Jun 2010 00:00:48 +0000
severity 562945 normal
tags 562945 - moreinfo
quit

No response from the submitter.

On Mon, May 24, 2010, Gerrit Pape wrote:
[...]




Severity set to 'normal' from 'serious' Request was from Gerrit Pape <pape@smarden.org> to control@bugs.debian.org. (Fri, 18 Jun 2010 00:03:06 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Gerrit Pape <pape@smarden.org> to control@bugs.debian.org. (Fri, 18 Jun 2010 00:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Fri, 18 Jun 2010 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 18 Jun 2010 08:42:03 GMT) Full text and rfc822 format available.

Message #107 received at 562945@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 562945@bugs.debian.org, control@bugs.debian.org
Cc: 582755@bugs.debian.org
Subject: Re: Bug#562945: fails to install
Date: Fri, 18 Jun 2010 10:38:25 +0200
[Message part 1 (text/plain, inline)]
reopen 582755 
severity 582755 important
severity 562945 serious
thanks

On Freitag, 18. Juni 2010, Gerrit Pape wrote:
> severity 562945 normal
> tags 562945 - moreinfo
> quit
>
> No response from the submitter.

Gerrit, you're making things complicated by mixing up these two bug reports.

#562945 is definitly serious and I'm sorry that I don't have the time to read 
policy for you. I also havent up my mind whether I should reassign this bug 
to the NM committee or the tech committee. Seriously. A package has to 
install without issues. Full stop.

Regarding #582755, please excuse my error that I reused an template for filing 
this bugs and that template was about /usr, while the modified file the bug 
is about is in /etc. But this bug hasnt been magically resolved, just because 
I didnt reply. 
Maybe it is ok to modify /etc/resolv.conf and piuparts should not complain 
about this, I'm not sure atm and I dont have time to resolve this now, sorry. 


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'normal' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 18 Jun 2010 08:42:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Fri, 18 Jun 2010 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 18 Jun 2010 09:09:03 GMT) Full text and rfc822 format available.

Message #114 received at 562945@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 562945@bugs.debian.org
Subject: Re: Bug#582755: Bug#562945: fails to install
Date: Fri, 18 Jun 2010 10:06:15 +0100
[Message part 1 (text/plain, inline)]
On Fri, Jun 18, 2010 at 10:38:25 +0200, Holger Levsen wrote:

> #562945 is definitly serious and I'm sorry that I don't have the time to read 
> policy for you. I also havent up my mind whether I should reassign this bug 
> to the NM committee or the tech committee. Seriously. A package has to 
> install without issues. Full stop.
> 

          For high-priority prompts without a reasonable default answer,
          maintainer scripts may abort if there is no controlling
          terminal.

Replacing /sbin/init sounds high-priority to me, so it seems to me
policy disagrees with you.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Fri, 18 Jun 2010 09:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 18 Jun 2010 09:51:10 GMT) Full text and rfc822 format available.

Message #119 received at 562945@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 562945@bugs.debian.org
Subject: Re: Bug#582755: Bug#562945: fails to install
Date: Fri, 18 Jun 2010 11:47:24 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Freitag, 18. Juni 2010, Julien Cristau wrote:
>           For high-priority prompts without a reasonable default answer,
>           maintainer scripts may abort if there is no controlling
>           terminal.

from where in policy is this? rgrep doesnt let me find this string...

> Replacing /sbin/init sounds high-priority to me, so it seems to me
> policy disagrees with you.

I'd say that a reasonable default is not to replace /sbin/init if not told to 
do so by either a special variable or file or debconf preseeding.

There are other packages which "mess up the system on purpose" yet are 
installable without doing anything if not told to do so. (ie fai-quickstart, 
fai-nfsroot, debian-edu-config come to my mind.)


cheers,
	Holger

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Fri, 18 Jun 2010 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 18 Jun 2010 10:09:03 GMT) Full text and rfc822 format available.

Message #124 received at 562945@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 562945@bugs.debian.org
Subject: Re: Bug#562945: Bug#582755: Bug#562945: fails to install
Date: Fri, 18 Jun 2010 11:05:38 +0100
[Message part 1 (text/plain, inline)]
On Fri, Jun 18, 2010 at 11:47:24 +0200, Holger Levsen wrote:

> Hi,
> 
> On Freitag, 18. Juni 2010, Julien Cristau wrote:
> >           For high-priority prompts without a reasonable default answer,
> >           maintainer scripts may abort if there is no controlling
> >           terminal.
> 
> from where in policy is this? rgrep doesnt let me find this string...
> 
http://git.debian.org/?p=dbnpolicy/policy.git;a=blob;f=policy.sgml;h=9d2d5166bc7e2d0813b64ed3c06a1238e37e66a1;hb=HEAD#l3687

> > Replacing /sbin/init sounds high-priority to me, so it seems to me
> > policy disagrees with you.
> 
> I'd say that a reasonable default is not to replace /sbin/init if not told to 
> do so by either a special variable or file or debconf preseeding.
> 
Apparently Gerrit disagrees with you, and I'd say that's his call as the
package maintainer.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Fri, 18 Jun 2010 10:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 18 Jun 2010 10:33:05 GMT) Full text and rfc822 format available.

Message #129 received at 562945@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: control@bugs.debian.org, debian-policy@lists.debian.org
Cc: 562945@bugs.debian.org
Subject: Re: Bug#562945: Bug#582755: Bug#562945: fails to install
Date: Fri, 18 Jun 2010 12:29:42 +0200
[Message part 1 (text/plain, inline)]
reassign 562945 tech-ctte
# unmerge 506898 224509
# policy-maintainers, I think you should do this ^
thanks

Hi,

for those coming late to the party: this bug is about a package which fails to 
install cleanly:

 Unpacking runit-run (from .../runit-run_1.1.1_all.deb) ...
  dpkg: error processing /var/cache/apt/archives/runit-run_1.1.1_all.deb 
(--unpack):
   subprocess new pre-installation script returned error exit status 1
  Errors were encountered while processing:
   /var/cache/apt/archives/runit-run_1.1.1_all.deb
  E: Sub-process /usr/bin/dpkg returned an error code (1)

Read the bug log for all it's glory.


On Freitag, 18. Juni 2010, Julien Cristau wrote:
> > On Freitag, 18. Juni 2010, Julien Cristau wrote:
> > >           For high-priority prompts without a reasonable default
> > > answer, maintainer scripts may abort if there is no controlling
> > > terminal.
> >
> > from where in policy is this? rgrep doesnt let me find this string...
>
> http://git.debian.org/?p=dbnpolicy/policy.git;a=blob;f=policy.sgml;h=9d2d51
>66bc7e2d0813b64ed3c06a1238e37e66a1;hb=HEAD#l3687

Ah, thanks. You didnt quote the following sentence though:

"However, this situation should be avoided if at all possible, since it 
prevents automated or unattended installs. In most cases, users will consider 
this to be a bug in the package."

which is exactly my point. 

I think policy is unclear here: this part of policy was added per #224509, 
while there is #506898 (which is unfortuantly merged with 224509, as I read 
it should conflict with #506898), which says that this part of policy 
contradicts with §3.9.1 intruduced via #206684, which makes use of debconf 
mandatory.

> > > Replacing /sbin/init sounds high-priority to me, so it seems to me
> > > policy disagrees with you.
> >
> > I'd say that a reasonable default is not to replace /sbin/init if not
> > told to do so by either a special variable or file or debconf preseeding.
>
> Apparently Gerrit disagrees with you, and I'd say that's his call as the
> package maintainer.

While everybody is free to disagree with me, I think there are some parts of 
policy which must not be violated, as we care deeply about unattended and 
automated installs. So I'm reassigning this to the technical committee to 
decide this.


cheers,
	Holger

[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'runit-run' to 'tech-ctte'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 18 Jun 2010 10:33:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions runit-run/1.1.1, runit-run/1.0.0, and runit-run/1.1.2. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 18 Jun 2010 10:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#562945; Package tech-ctte. (Fri, 18 Jun 2010 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 18 Jun 2010 17:09:03 GMT) Full text and rfc822 format available.

Message #138 received at 562945@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: debian-policy@lists.debian.org, 562945@bugs.debian.org
Subject: Re: Bug#562945: Bug#582755: Bug#562945: fails to install
Date: Fri, 18 Jun 2010 10:04:53 -0700
Holger Levsen <holger@layer-acht.org> writes:

> Ah, thanks. You didnt quote the following sentence though:

> "However, this situation should be avoided if at all possible, since it
> prevents automated or unattended installs. In most cases, users will
> consider this to be a bug in the package."

> which is exactly my point. 

> I think policy is unclear here: this part of policy was added per
> #224509, while there is #506898 (which is unfortuantly merged with
> 224509, as I read it should conflict with #506898), which says that this
> part of policy contradicts with §3.9.1 intruduced via #206684, which
> makes use of debconf mandatory.

I don't see what's unclear or why you think these bugs should not be
merged.  Could you add more explanation?

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#562945; Package tech-ctte. (Fri, 18 Jun 2010 18:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 18 Jun 2010 18:39:09 GMT) Full text and rfc822 format available.

Message #143 received at 562945@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: debian-ctte@lists.debian.org, 562945@bugs.debian.org
Subject: Re: Bug#562945: Bug#582755: Bug#562945: fails to install
Date: Fri, 18 Jun 2010 11:38:11 -0700
[Message part 1 (text/plain, inline)]
On Fri, Jun 18, 2010 at 12:29:42PM +0200, Holger Levsen wrote:
> reassign 562945 tech-ctte
> # unmerge 506898 224509
> # policy-maintainers, I think you should do this ^
> thanks

> for those coming late to the party: this bug is about a package which fails to 
> install cleanly:

>  Unpacking runit-run (from .../runit-run_1.1.1_all.deb) ...
>   dpkg: error processing /var/cache/apt/archives/runit-run_1.1.1_all.deb 
> (--unpack):
>    subprocess new pre-installation script returned error exit status 1
>   Errors were encountered while processing:
>    /var/cache/apt/archives/runit-run_1.1.1_all.deb
>   E: Sub-process /usr/bin/dpkg returned an error code (1)

> Read the bug log for all it's glory.

To summarize for the list, the issue here is than runit-run asks this
debconf question in the preinst:

  Template: runit-run/install
  Type: boolean
  Default: false
  _Description: Really replace the init scheme?
   This package diverts sysvinit's /sbin/init program, and so replaces
   the default sysv init scheme.  After the first installation of the
   runit-run package, migrate essential services from sysvinit to runit,
   so that these will get started after reboot.  Then, use
    # /sbin/init.sysv 6
   to reboot the system with runit as process no 1.
   .
   Please read the documentation before proceeding
    http://smarden.org/runit/

and if the answer to the boolean question is "no" (the default), the package
installation is aborted.

This is explicitly allowed by current Policy (packages may require a
controlling terminal for interacting with the user), and by Policy as it's
supposed to be (bug #506898, packages may abort installation if they fail to
get an answer from the user to a high-urgency question with no sensible
default answer).

Personally, I don't think runit-run's behavior here is what's intended to be
allowed under Policy.  IMHO, if the question is "do you want to install this
package that you selected for installation?" the sensible default answer is
always "yes", and if the maintainer isn't comfortable using this as a
default answer because of concerns that their package will break the user's
system, then that points to much larger bugs in the package's integration
into Debian than just this one Policy issue.  I don't think a package whose
successful installation results in the system being rendered unbootable
unless further action is taken is up to Debian's quality standards, and
don't think such a package should be included in a Debian release until
someone puts together policy-compliant infrastructure to let the init script
migration happen at package install time.

However, that doesn't seem to be the question that's been put to us.

> While everybody is free to disagree with me, I think there are some parts of 
> policy which must not be violated, as we care deeply about unattended and 
> automated installs. So I'm reassigning this to the technical committee to 
> decide this.

Caring about unattended and automated installs is not the same thing as
mandating that all packages in the archive be installable noninteractively
without preseeding.  It's clear to me that a package such as this is not
useful to include in an automated system installation without a *lot* of
additional scripting (the debconf preseeding would be the least of your
worries), and it should never appear as a build-dependency (direct or
indirect) of any other package.  And while I understand that this means you
can't get useful piuparts results for this package, once again, I think this
package has much graver quality concerns than piuparts cleanliness - and
anyway, piuparts ought to be extended to support preseeding for this class
of package.

In summary, my proposal would be to:

 - decline to override the runit-run maintainer, whose use of debconf is
   discouraged but /not/ forbidden by Policy
 - advise the Policy maintainers to proceed with the existing proposed
   language regarding high-priority prompts
 - refer the question of overall releasability of runit-run to the Release
   Team

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#562945; Package tech-ctte. (Fri, 18 Jun 2010 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 18 Jun 2010 19:33:04 GMT) Full text and rfc822 format available.

Message #148 received at 562945@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 562945@bugs.debian.org
Subject: Re: Bug#562945: Bug#582755: Bug#562945: fails to install
Date: Fri, 18 Jun 2010 21:28:50 +0200
[Message part 1 (text/plain, inline)]
Hi,

btw, thank you all (tech-ctte) for helping in resolving this! Much 
appreciated.

On Freitag, 18. Juni 2010, Steve Langasek wrote:
> Personally, I don't think runit-run's behavior here is what's intended to
> be allowed under Policy.  IMHO, if the question is "do you want to install
> this package that you selected for installation?" the sensible default
> answer is always "yes", and if the maintainer isn't comfortable using this
> as a default answer because of concerns that their package will break the
> user's system, then that points to much larger bugs in the package's
> integration into Debian than just this one Policy issue.  I don't think a
> package whose successful installation results in the system being rendered
> unbootable unless further action is taken is up to Debian's quality
> standards, and don't think such a package should be included in a Debian
> release until someone puts together policy-compliant infrastructure to let
> the init script migration happen at package install time.

Full ack on that.

> and anyway, piuparts ought to be extended to support preseeding for this
> class of package.

Absolutly. 

And btw, next on my personal todo list is to add support for package specific 
environments for piuparts, so that the sudo package doesn't fail the piuparts 
test. This needs package specific environment variables (and should be rather 
straightforward to add) - after that adding support for debconf preseeding 
should be next. The biggest problem with that is just time.

(If you are interested in working on this, ping me.)


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#562945; Package tech-ctte. (Fri, 18 Jun 2010 23:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 18 Jun 2010 23:18:04 GMT) Full text and rfc822 format available.

Message #153 received at 562945@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Steve Langasek <vorlon@debian.org>, Holger Levsen <holger@layer-acht.org>
Cc: debian-ctte@lists.debian.org, 562945@bugs.debian.org
Subject: Re: Bug#562945: Bug#582755: Bug#562945: fails to install
Date: Fri, 18 Jun 2010 17:14:44 -0600
[Message part 1 (text/plain, inline)]
On Fri, 18 Jun 2010 11:38:11 -0700, Steve Langasek <vorlon@debian.org> wrote:
> Personally, I don't think runit-run's behavior here is what's intended to be
> allowed under Policy.

I agree.  The current behavior in the case where the question is
answered "yes" seems completely inadequate, and the mere presence of the
question strikes me as an acknowledgement of that fact by the maintainer! 

> In summary, my proposal would be to:
> 
>  - decline to override the runit-run maintainer, whose use of debconf is
>    discouraged but /not/ forbidden by Policy
>  - advise the Policy maintainers to proceed with the existing proposed
>    language regarding high-priority prompts
>  - refer the question of overall releasability of runit-run to the Release
>    Team

Yes, this seems like an appropriate response from the TC.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#562945; Package tech-ctte. (Mon, 21 Jun 2010 14:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 21 Jun 2010 14:57:05 GMT) Full text and rfc822 format available.

Message #158 received at 562945@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: debian-ctte@lists.debian.org, 562945@bugs.debian.org
Subject: Re: Bug#562945: Bug#582755: Bug#562945: fails to install
Date: Mon, 21 Jun 2010 15:52:18 +0100
Steve Langasek writes ("Re: Bug#562945: Bug#582755: Bug#562945: fails to install"):
> In summary, my proposal would be to:
> 
>  - decline to override the runit-run maintainer, whose use of debconf is
>    discouraged but /not/ forbidden by Policy
>  - advise the Policy maintainers to proceed with the existing proposed
>    language regarding high-priority prompts
>  - refer the question of overall releasability of runit-run to the Release
>    Team

I agree.  I see that in #224509 Russ writes that the new wording has
been merged for the next release.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#562945; Package tech-ctte. (Mon, 21 Jun 2010 15:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 21 Jun 2010 15:00:06 GMT) Full text and rfc822 format available.

Message #163 received at 562945@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 562945@bugs.debian.org
Subject: Re: Bug#562945: Bug#582755: Bug#562945: fails to install
Date: Mon, 21 Jun 2010 15:58:00 +0100
I wrote:
> Steve Langasek writes ("Re: Bug#562945: Bug#582755: Bug#562945: fails to install"):
> > In summary, my proposal would be to:
> > 
> >  - decline to override the runit-run maintainer, whose use of debconf is
> >    discouraged but /not/ forbidden by Policy
> >  - advise the Policy maintainers to proceed with the existing proposed
> >    language regarding high-priority prompts
> >  - refer the question of overall releasability of runit-run to the Release
> >    Team
> 
> I agree.  I see that in #224509 Russ writes that the new wording has
> been merged for the next release.

Just for the avoidance of doubt, we need to say clearly that we agree
with the submitters of #562945 and #574223 that the current behaviour
of runinit is a bug.  So the bug should remain open and be reassigned
to runinit.

We are not ruling on whether the bug is release criticial, and that
question is part of what the Release Team will have to decide.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#562945; Package tech-ctte. (Mon, 21 Jun 2010 20:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 21 Jun 2010 20:12:03 GMT) Full text and rfc822 format available.

Message #168 received at 562945@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 562945@bugs.debian.org
Subject: Re: Bug#562945: fails to install
Date: Mon, 21 Jun 2010 13:09:29 -0700
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:
> I wrote:
>> Steve Langasek writes ("Re: Bug#562945: Bug#582755: Bug#562945: fails to install"):

>>> In summary, my proposal would be to:

>>>  - decline to override the runit-run maintainer, whose use of debconf is
>>>    discouraged but /not/ forbidden by Policy
>>>  - advise the Policy maintainers to proceed with the existing proposed
>>>    language regarding high-priority prompts
>>>  - refer the question of overall releasability of runit-run to the Release
>>>    Team

>> I agree.  I see that in #224509 Russ writes that the new wording has
>> been merged for the next release.

> Just for the avoidance of doubt, we need to say clearly that we agree
> with the submitters of #562945 and #574223 that the current behaviour of
> runinit is a bug.  So the bug should remain open and be reassigned to
> runinit.

> We are not ruling on whether the bug is release criticial, and that
> question is part of what the Release Team will have to decide.

Yup, I agree.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#562945; Package tech-ctte. (Thu, 08 Jul 2010 08:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 08 Jul 2010 08:57:02 GMT) Full text and rfc822 format available.

Message #173 received at 562945@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 562945@bugs.debian.org
Subject: ping
Date: Thu, 8 Jul 2010 10:54:44 +0200
[Message part 1 (text/plain, inline)]
AFAICT the case was quite clear, so whats left to do here?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#562945; Package tech-ctte. (Thu, 08 Jul 2010 16:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 08 Jul 2010 16:03:10 GMT) Full text and rfc822 format available.

Message #178 received at 562945@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Holger Levsen <holger@layer-acht.org>, 562945@bugs.debian.org
Subject: Re: Bug#562945: ping
Date: Thu, 8 Jul 2010 17:02:30 +0100
severity 562945 serious
reassign 562945 runinit-run
thanks

Holger Levsen writes ("Bug#562945: ping"):
> AFAICT the case was quite clear, so whats left to do here?

I think there's nothing more for the TC to do.  The runinit-run
maintainer can have the bug back.  I'm going to mark it severity
serious for now, and email the release team in a moment.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#562945; Package tech-ctte. (Thu, 08 Jul 2010 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 08 Jul 2010 16:18:03 GMT) Full text and rfc822 format available.

Message #183 received at 562945@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: debian-release@lists.debian.org
Cc: 562945@bugs.debian.org
Subject: runinit-run, releaseability thereof
Date: Thu, 8 Jul 2010 17:16:42 +0100
The package runinit-run, if successfully installed, generally breaks
the system by breaking booting.  The administrator is supposed to fix
up the boot arrangements by converting startup scripts etc. after
installing runinit-run.

The administrator's attention is drawn to this by a debconf question:

  Template: runit-run/install
  Type: boolean
  Default: false
  _Description: Really replace the init scheme?
   This package diverts sysvinit's /sbin/init program, and so replaces
   the default sysv init scheme.  After the first installation of the
   runit-run package, migrate essential services from sysvinit to runit,
   so that these will get started after reboot.  Then, use
    # /sbin/init.sysv 6
   to reboot the system with runit as process no 1.
   .
   Please read the documentation before proceeding
    http://smarden.org/runit/

If the question is answered "no", the installation is aborted.


This was discussed in #562945.  The Technical Committee was asked to
rule on this bug, in particular about the fact that it makes the
package impossible to install noninteractively.  Our decision was[1]:

 * We declined to override the runit-run maintainer about the fact that
   the package cannot be installed noninteractively.  This use of
   debconf is discouraged but /not/ forbidden.

 * We advised the Policy maintainers to proceed with the existing proposed
   language regarding high-priority prompts (they've now done so).

 * In our (non-binding) opinion it is a bug that the package, when
   installed without further action, breaks the system's bootup.

 * We decided to refer to the Release Team the question as to
   whether the package is releaseable in its current state.

So, we would appreciate it if you would take a look at this situation
and decide.  When you've decided you should probably set the severity
of #562945 so that it's release-critical iff you think runinit-run is
not releaseable in its current state.  For now I have set the bug to
"serious".

Thanks for your attention.

Ian.

[1] I have paraphrased somewhat, to make it clearer out of context.




Bug reassigned from package 'tech-ctte' to 'runit-run'. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Wed, 28 Jul 2010 02:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Wed, 28 Jul 2010 02:57:07 GMT) Full text and rfc822 format available.

Message #188 received at 562945@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 562945@bugs.debian.org
Cc: debian-release@lists.debian.org, debian-ctte@lists.debian.org
Subject: Re: runinit-run, releaseability thereof
Date: Tue, 27 Jul 2010 22:54:12 -0400
On Thu, 08 Jul 2010, Ian Jackson wrote:
>  * We decided to refer to the Release Team the question as to
>    whether the package is releaseable in its current state.
> 
> So, we would appreciate it if you would take a look at this situation
> and decide.  When you've decided you should probably set the severity
> of #562945 so that it's release-critical iff you think runinit-run is
> not releaseable in its current state.  For now I have set the bug to
> "serious".

I've reassigned this bug to runit-run, since it's no longer something
that the ctte needs to deal with.

Release team: if you think this bug makes runit-run unreleaseable,
please indicate as such; otherwise I think it's reasonable for the
maintainer to downgrade the severity of this bug if the maintainer
feels that it is releasable. [If there's some disagreement as to
whether it is releasable or not, that technical decision can of course
be refered back to the ctte.]


Don Armstrong

-- 
Information wants to be free to kill again.
 -- Red Robot http://www.dieselsweeties.com/archive.php?s=1372

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Fri, 06 Aug 2010 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 06 Aug 2010 16:39:04 GMT) Full text and rfc822 format available.

Message #193 received at 562945@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: 562945@bugs.debian.org, debian-release@lists.debian.org, debian-ctte@lists.debian.org
Subject: Re: runinit-run, releaseability thereof
Date: Fri, 6 Aug 2010 17:07:22 +0100
On Tue, Jul 27, 2010 at 10:54:12PM -0400, Don Armstrong wrote:
> Release team: if you think this bug makes runit-run unreleaseable,
> please indicate as such; otherwise I think it's reasonable for the
> maintainer to downgrade the severity of this bug if the maintainer
> feels that it is releasable. [If there's some disagreement as to
> whether it is releasable or not, that technical decision can of course
> be refered back to the ctte.]
> 

After some discussion, we feel that the fact that runit-run can be
installed, and unless further manual action is taken, it will make the
computer unbootable to indicate that the package is unreleaseable.

Thus, we consider this an RC bug.

Thanks,
Neil
-- 
<enrico> What is a sane place to look for washing machines around Manchester?
<mhy> enrico: the canals :-)




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Fri, 20 Aug 2010 11:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 20 Aug 2010 11:54:08 GMT) Full text and rfc822 format available.

Message #198 received at 562945@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Neil McGovern <neilm@debian.org>, live-config-runit@packages.debian.org
Cc: 562945@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: runinit-run, releaseability thereof
Date: Fri, 20 Aug 2010 12:50:27 +0100
[Message part 1 (text/plain, inline)]
On Fri, Aug  6, 2010 at 17:07:22 +0100, Neil McGovern wrote:

> After some discussion, we feel that the fact that runit-run can be
> installed, and unless further manual action is taken, it will make the
> computer unbootable to indicate that the package is unreleaseable.
> 
It's not getting removed because live-config-runit depends on it.
Daniel, can you please remove this binary package from unstable?

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Sat, 21 Aug 2010 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Debian Live <debian-live@lists.debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sat, 21 Aug 2010 21:51:03 GMT) Full text and rfc822 format available.

Message #203 received at 562945@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Neil McGovern <neilm@debian.org>, Debian Live <debian-live@lists.debian.org>, 562945@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: runinit-run, releaseability thereof
Date: Sat, 21 Aug 2010 23:46:48 +0200
On 08/20/2010 01:50 PM, Julien Cristau wrote:
> Daniel, can you please remove this binary package from unstable?

rather than that, i've downgraded the depends to suggests.

note that if you unblock live-config 2.0.x that you want to unblock
live-boot 2.0.x too.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#562945; Package runit-run. (Mon, 30 Aug 2010 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerrit Pape <pape@smarden.org>:
Extra info received and forwarded to list. (Mon, 30 Aug 2010 15:18:03 GMT) Full text and rfc822 format available.

Message #208 received at 562945@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: debian-release@lists.debian.org
Cc: 562945@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: runinit-run, releaseability thereof
Date: Mon, 30 Aug 2010 15:07:59 +0000
On Fri, Aug 06, 2010 at 05:07:22PM +0100, Neil McGovern wrote:
> On Tue, Jul 27, 2010 at 10:54:12PM -0400, Don Armstrong wrote:
> > Release team: if you think this bug makes runit-run unreleaseable,
> > please indicate as such; otherwise I think it's reasonable for the
> > maintainer to downgrade the severity of this bug if the maintainer
> > feels that it is releasable. [If there's some disagreement as to
> > whether it is releasable or not, that technical decision can of course
> > be refered back to the ctte.]
> 
> After some discussion, we feel that the fact that runit-run can be
> installed, and unless further manual action is taken, it will make the
> computer unbootable to indicate that the package is unreleaseable.

This is not a fact, it's a false assertion unless you have a different
understanding of "unbootable" than me.  And it's not what this very bug
report is about.  I've yet to see a bug report against runit-run about
"unbootable" while the package is included in the past two Debian
releases sarge and lenny, and squeeze and sid.

After installing runit-run the system boots into "sysinit" by running
/etc/init.d/rcS and provides getties.  Other init scripts are not run by
default.  Because of that, the administrator needs to be informed before
installing this package to migrate essential services before rebooting,
like sshd if local access is not possible.

Regards, Gerrit.




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#562945; Package runit-run. (Tue, 31 Aug 2010 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 31 Aug 2010 15:51:03 GMT) Full text and rfc822 format available.

Message #213 received at 562945@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: debian-release@lists.debian.org, 562945@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: runinit-run, releaseability thereof
Date: Tue, 31 Aug 2010 16:49:47 +0100
[Message part 1 (text/plain, inline)]
On Mon, Aug 30, 2010 at 03:07:59PM +0000, Gerrit Pape wrote:
> On Fri, Aug 06, 2010 at 05:07:22PM +0100, Neil McGovern wrote:
> > On Tue, Jul 27, 2010 at 10:54:12PM -0400, Don Armstrong wrote:
> > > Release team: if you think this bug makes runit-run unreleaseable,
> > > please indicate as such; otherwise I think it's reasonable for the
> > > maintainer to downgrade the severity of this bug if the maintainer
> > > feels that it is releasable. [If there's some disagreement as to
> > > whether it is releasable or not, that technical decision can of course
> > > be refered back to the ctte.]
> > 
> > After some discussion, we feel that the fact that runit-run can be
> > installed, and unless further manual action is taken, it will make the
> > computer unbootable to indicate that the package is unreleaseable.
> 
> This is not a fact, it's a false assertion unless you have a different
> understanding of "unbootable" than me.  And it's not what this very bug
> report is about.  I've yet to see a bug report against runit-run about
> "unbootable" while the package is included in the past two Debian
> releases sarge and lenny, and squeeze and sid.
> 
> After installing runit-run the system boots into "sysinit" by running
> /etc/init.d/rcS and provides getties.  Other init scripts are not run by
> default.  Because of that, the administrator needs to be informed before
> installing this package to migrate essential services before rebooting,
> like sshd if local access is not possible.
> 

That still sounds like the package is unreleaseable. If you want to
re-assign this back to tech-ctte to override the release team's
decision, feel free to do so.

Neil
-- 
i get an error... i forget what it is ... but definitely an error, well, maybe
a warning... or an informational message... but definitely an output
 - Verbatim quote from #debian, irc.freenode.net, Sat Jan 12 00:31:16 GMT 2008
[signature.asc (application/pgp-signature, inline)]

Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Fri, 03 Sep 2010 16:15:05 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Fri, 03 Sep 2010 16:15:06 GMT) Full text and rfc822 format available.

Message #218 received at 562945-done@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 562945-done@bugs.debian.org
Subject: Package runit-run has been removed from Debian
Date: Fri, 3 Sep 2010 18:03:53 +0200 (CEST)
Version: 1.1.2+rm

You filed the bug http://bugs.debian.org/562945 in Debian BTS
against the package runit-run. I'm closing it at *unstable*, but it will
remain open for older distributions.

For more information about this package's removal, read
http://bugs.debian.org/595353. That bug might give the reasons why
this package was removed and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

--
Luca Falavigna




Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Fri, 03 Sep 2010 16:15:06 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 03 Sep 2010 16:15:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Oct 2010 07:33:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:13:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.